Projektkomponenten abrufen
curl --request GET \
--url https://api.comstruct.com/v1/projects/{id}/components \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.comstruct.com/v1/projects/{id}/components"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.comstruct.com/v1/projects/{id}/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"components": [
{
"id": 123,
"title": "<string>",
"type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_component_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"order": 123,
"enable_in_deliveries": true,
"enable_in_orders": true
}
}
]
}
Projekte
Projektkomponenten abrufen
Erforderliche Berechtigungen: projects:read
Gibt alle für ein Projekt definierten Komponenten mit Typinformation zurück. Diese Komponenten können Lieferungen und Bestellungen zugeordnet werden. Wenn das Projekt nicht existiert oder einem anderen Kunden gehört, wird eine leere Liste zurückgegeben (kein HTTP 404).
GET
/
projects
/
{id}
/
components
Projektkomponenten abrufen
Übersicht
Listet alle Projektkomponenten eines Projekts mit zugehörigem Komponententyp. Diese IDs (id) verwenden Sie z. B. im Body von PUT /deliveries/{id}/components (component_ids).
Berechtigungen
| Scope | Beschreibung |
|---|---|
projects:read | Projektdaten lesen |
Verhalten
Wenn das Projekt nicht existiert oder nicht zum Mandanten des API-Schlüssels gehört, liefert die API{ "components": [] } mit HTTP 200 — kein 404.
Response Codes
| Code | Beschreibung |
|---|---|
200 | Erfolg (ggf. leere components) |
401 | Nicht autorisiert |
403 | Verboten |
Autorisierungen
API-Schlüssel zur Authentifizierung. Kontaktieren Sie Ihren Customer Success Manager, um einen API-Schlüssel zu erhalten.
Jeder Endpunkt erfordert spezifische Berechtigungen (Scopes); die erforderlichen Scopes werden pro Endpunkt angezeigt.
Pfadparameter
Projekt-ID (UUID)
Antwort
Liste der Projektkomponenten
Alle Komponenten des Projekts (leer, wenn nicht sichtbar oder nicht vorhanden)
Show child attributes
Show child attributes